-- Fill page with rgb based color noise.

--@TBCONFIG SLIDER: Red, 100.0
--@TBCONFIG SLIDER: Green, 100.0
--@TBCONFIG SLIDER: Blue, 100.0

for y = 0, height - 1 do
  for x = 0, width - 1 do
    local r, g, b
    r = math.random(0,sliderVal1 * 255) / 255
    g = math.random(0,sliderVal2 * 255) / 255
    b = math.random(0,sliderVal3 * 255) / 255
    set_rgba(x, y, r, g, b, 1)
  end
end
